## net.sf.saxon.jdom
Class JDOMTransform

    java.lang.Object
      net.sf.saxon.Transform
          net.sf.saxon.jdom.JDOMTransform

    public class JDOMTransform

extends Transform

Variant of command line net.sf.saxon.Transform do build the source document in JDOM and then proceed with the transformation. This class is provided largely for testing purposes.

Constructor Summary
`JDOMTransform()`

Method Summary
`static void` `main(String[] args)`
`List` `preprocess(List sources)` Preprocess the list of sources.

Methods inherited from class net.sf.saxon.Transform
`doTransform, loadDocuments, now, processDirectory, processDirectoryAssoc, processFile, processFileAssoc, setFactoryConfiguration, setPOption`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOMTransform

    public JDOMTransform()

Method Detail

### preprocess

    public List preprocess(List sources)
                    throws XPathException

  Description copied from class: `Transform`
  Preprocess the list of sources. This method exists so that it can be overridden in a subclass

  Overrides:
    `preprocess` in class `Transform`
  Throws:
    `XPathException`

### main

    public static void main(String[] args)

Copyright (C) Michael H. Kay. All rights reserved.